diff options
author | Doan Tran Cong Danh <congdanhqx@gmail.com> | 2019-07-10 08:31:21 +0000 |
---|---|---|
committer | Enno Boland <g@s01.de> | 2019-07-24 13:13:54 +0000 |
commit | 06cbdef6ebc61e60c45d6923a8d41187a5d4aa37 (patch) | |
tree | 07f5136c6e113231301ad5af8a3afc46976113c8 /xbps-src | |
parent | 7cd9fbbde2deae41ccbcf46c73145b50a09ce955 (diff) | |
download | void-packages-06cbdef6ebc61e60c45d6923a8d41187a5d4aa37.tar void-packages-06cbdef6ebc61e60c45d6923a8d41187a5d4aa37.tar.gz void-packages-06cbdef6ebc61e60c45d6923a8d41187a5d4aa37.tar.bz2 void-packages-06cbdef6ebc61e60c45d6923a8d41187a5d4aa37.tar.lz void-packages-06cbdef6ebc61e60c45d6923a8d41187a5d4aa37.tar.xz void-packages-06cbdef6ebc61e60c45d6923a8d41187a5d4aa37.tar.zst void-packages-06cbdef6ebc61e60c45d6923a8d41187a5d4aa37.zip |
xbps-src: redirect various error msg to stderr
We couldn't use msg_red or msg_error,
since they won't be available until line #680
Diffstat (limited to 'xbps-src')
-rwxr-xr-x | xbps-src | 12 |
1 files changed, 6 insertions, 6 deletions
@@ -212,7 +212,7 @@ check_reqhost_utils() { for f in ${REQHOST_UTILS}; do if ! command -v ${f} &>/dev/null; then - echo "${f} is missing in your system, can't continue!" + echo "${f} is missing in your system, can't continue!" 1>&2 broken=1 fi done @@ -221,7 +221,7 @@ check_reqhost_utils() { for f in ${REQHOST_UTILS_BOOTSTRAP}; do if ! command -v ${f} &>/dev/null; then - echo "${f} is missing in your system, can't continue!" + echo "${f} is missing in your system, can't continue!" 1>&2 broken=1 fi done @@ -238,8 +238,8 @@ check_build_requirements() { if [ -z "$found" ]; then xbps-uhelper cmpver "$XBPS_VERSION" "$XBPS_VERSION_REQ" if [ $? -eq 255 ]; then - echo "ERROR: requires xbps>=${XBPS_VERSION_REQ}" - echo "Bootstrap packages must be updated with 'xbps-src bootstrap-update'" + echo "ERROR: requires xbps>=${XBPS_VERSION_REQ}" 1>&2 + echo "Bootstrap packages must be updated with 'xbps-src bootstrap-update'" 1>&2 exit 1 fi fi @@ -501,7 +501,7 @@ fi [ ! -d $XBPS_HOSTDIR ] && mkdir -p $XBPS_HOSTDIR if [ -d "$XBPS_MASTERDIR" -a ! -w "$XBPS_MASTERDIR" ]; then - echo "ERROR: can't write to masterdir $XBPS_MASTERDIR." + echo "ERROR: can't write to masterdir $XBPS_MASTERDIR." 1>&2 exit 1 fi @@ -511,7 +511,7 @@ if command -v chroot-git &>/dev/null; then elif command -v git &>/dev/null; then XBPS_GIT_CMD=$(command -v git) else - echo "neither chroot-git or git are available in your system!" + echo "neither chroot-git or git are available in your system!" 1>&2 exit 1 fi readonly XBPS_GIT_CMD |